
%define plugin	live
%define name	vdr-plugin-%plugin
%define version	0.3.0
%define snapshot 0
%define rel	2

Summary:	VDR plugin: Live Integrated VDR Environment
Name:		%name
Version:	%version
%if %snapshot
Release:	%mkrel 1.%snapshot.%rel
%else
Release:	%mkrel %rel
%endif
Group:		Video/Utilities
License:	GPLv2+
URL:		http://live.vdr-developer.org/
%if %snapshot
Source:		vdr-%plugin-%snapshot.tar.gz
%define distdir	%plugin
%else
Source:		http://live.vdr-developer.org/downloads/vdr-%plugin-%version.tar.gz
%define distdir	%plugin-%version
%endif
# tntnet 2.2, from upstream
Patch0:		0001-Make-LIVE-compile-and-work-with-Tntnet-and-cxxtools-.patch
BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi
BuildRequires:	tntnet-devel
BuildRequires:	boost-devel
BuildRequires:	openssl-devel
BuildRequires:	epgsearch-devel >= 0.9.24

%description
Live, the "Live Interactive VDR Environment", is a plugin providing
the possibility to interactively control the VDR and some of its
plugins by a web interface.

Unlike external utility programs that communicate with VDR and its
plugins by SVDRP, Live has direct access to VDR's data structures
and is thus very fast.

%prep
%setup -q -n %distdir
%apply_patches
# epgsearch-devel
rm -rf epgsearch
sed -i 's,"epgsearch/services.h",<vdr/epgsearch/services.h>,' epgsearch.cpp timerconflict.cpp
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# use PORT to listen for incoming connections instead of 8008
var=PORT
param="-p PORT"
# bind server only to specified IP
# multiple IPs can be separated with a space
var=BIND_IP
param=--ip=MULTIPLE_PARAMS
# use SSLPORT to listen for incoming ssl connections instead of 8443
var=SSLPORT
param="-s PORT"
# full path to a custom ssl certificate file
var=CERT
param="-c CERT"
default="%{_sysconfdir}/pki/tls/private/vdr-%plugin.pem"
# log level for tntnet (values: INFO, DEBUG,...)
var=LOGLEVEL
param="-l LOGLEVEL"
# directory for epgimages
var=EPGIMAGES
param="-e EPGIMAGES"
default="%{_vdr_epgimagesdir}"
%vdr_plugin_params_end

%build
# (01/2008) parallel build broken
%vdr_plugin_build -j1

%install
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}
touch %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}/httpd.config
touch %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}/httpd.properties

install -d -m755 %{buildroot}%{_vdr_plugin_datadir}
cp -a live %{buildroot}%{_vdr_plugin_datadir}/
for dir in %plugin/*; do
	ln -s %{_vdr_plugin_datadir}/$dir %{buildroot}%{_vdr_plugin_cfgdir}/$dir
done

%post
%_create_ssl_certificate -g vdr -b vdr-%plugin

%files -f %plugin.vdr
%doc CONTRIBUTORS HISTORY README
%dir %attr(-,vdr,vdr) %{_vdr_plugin_cfgdir}/%{plugin}
%ghost %{_vdr_plugin_cfgdir}/%{plugin}/httpd.config
%ghost %{_vdr_plugin_cfgdir}/%{plugin}/httpd.properties
%{_vdr_plugin_cfgdir}/%{plugin}/css
%{_vdr_plugin_cfgdir}/%{plugin}/img
%{_vdr_plugin_cfgdir}/%{plugin}/js
%{_vdr_plugin_cfgdir}/%{plugin}/themes
%{_vdr_plugin_datadir}/%{plugin}


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.3.0-2.mga4
+ Revision: 544763
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 0.3.0-1.mga4
+ Revision: 498174
- new version 0.3.0
- drop upstreamed patches
- fix build with tntnet 2.2 (patch from upstream)

* Mon Jan 14 2013 umeabot <umeabot> 0.2.0-10.mga3
+ Revision: 385277
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 pterjan <pterjan> 0.2.0-9.mga3
+ Revision: 335478
- Better fix for new rpm

* Wed Dec 26 2012 pterjan <pterjan> 0.2.0-8.mga3
+ Revision: 335419
- Workaround new rpm limitation

* Thu Dec 06 2012 pterjan <pterjan> 0.2.0-7.mga3
+ Revision: 327094
- Add an upstream patch fixing build

  + malo <malo>
    - spec clean-up
    - update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.2.0-6.mga2
+ Revision: 221046
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.2.0-5.mga2
+ Revision: 214814
- rebuild for VDR 1.7.23
- handle timer titles with colon properly (timers_colon.dpatch,
  from e-tobi)

* Sat May 14 2011 anssi <anssi> 0.2.0-4.mga1
+ Revision: 98414
- remove old scriptlets
- imported package vdr-plugin-live


* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.2.0-3mdv2010.0
+ Revision: 401088
- rebuild for new VDR

* Fri Mar 20 2009 Anssi Hannula <anssi@mandriva.org> 0.2.0-2mdv2009.1
+ Revision: 359332
- rebuild for new vdr

* Sun May 11 2008 Anssi Hannula <anssi@mandriva.org> 0.2.0-1mdv2009.0
+ Revision: 205447
- new version

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.1.0-1.20080424.2mdv2009.0
+ Revision: 197944
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.1.0-1.20080424.1mdv2009.0
+ Revision: 197686
- new snapshot
- drop patches, fixed upstream
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- add new sysconfig variables
- create SSL certificate (bundled with key, vdr group)

* Sat Jan 19 2008 Anssi Hannula <anssi@mandriva.org> 0.1.0-1mdv2008.1
+ Revision: 155128
- initial Mandriva release

